Description

Hi !

When loading an image with a worldfile in QGIS, it's possible to edit the worldfile from an external editor, and the raster is redisplayed at

the new position in QGIS upon redraw.

This is great since it allows nice interactive georeferencing workflows.

But currently, it only works partially. It seems the initial extent of the layer is not refreshed, so that the layer gets cropped to the first

position's extents.

I think this should be supported, or at least provide some python methods to refresh the extent.

I tried these and they didn't work:

myRasterLayer.triggerRepaint()

myRasterLayer.dataProvider().reload()

myRasterLayer.recalculateExtents.emit()

self.iface.mapCanvas().refresh()

Thanks !

History

#1 - 2017-05-11 08:10 PM - Giovanni Manghi

- Status changed from Open to Feedback

Would not be best fitted as feature request rather than a bug? cheers!

#2 - 2017-05-26 04:58 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Tracker changed from Bug report to Feature request

#3 - 2017-08-30 11:43 AM - Even Rouault

I guess this somehow works since at the rendering stage the raster is re-opened again (which I consider to be a bug, see #16006). I don't think supporting

automatical update on changing datasets behind QGIS back is a good idea, and open a big can of worms. Does manual refresh with F5 on the layer works

?
#4 - 2017-08-30 12:15 PM - Giovanni Manghi

- Status changed from Open to Feedback
